
package de.ivu.elect.presentation.wahlvorschlag.action;

import de.ivu.elect.business.kandidatur.boundary.EinzelbewerberKandidaturKonfiguration;
import de.ivu.elect.business.wahlvorschlag.entity.Liste;

public class EinzelbewerberListeListenkandidaturSearchAction extends AbstractListeListenkandidaturSearchAction {

  private static final long serialVersionUID = 1L;

  public EinzelbewerberListeListenkandidaturSearchAction() {
    super();
  }

  @Override
  protected boolean isDisabledInternal(Liste liste) {
    return !isEinzelbewerberListe(liste);
  }

  @Override
  protected String getLocalizedLabel() {
    return getMessage(getLabelKey(), getMessage(EinzelbewerberKandidaturKonfiguration.MSG_KEY_EINZELBEWERBER_LISTENKANDIDATUR_EINZAHL));
  }
}
